Hello all!
I was upgrading to KDE 4.2 via one-click install last night and before it was finished I aborted it as it was getting late. Today I attempted to do it again and yast gave this error:

terminate called after throwing an instance of 'YUIPluginException'
what(): Couldn't load plug-in qt
YaST got signal 6 at YCP file SlideShow.ycp:76
/sbin/yast2: line 421: 6656 Aborted $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS

I then started yast2 with gtk and managed to complete the installation but when I try to log in to KDE 4.2 i get this error: "Couldn't load kdeinit4. Check your installation."
I have tried and googled everything I could think of and can't figure out how to fix it.

Could somebody please help me? Any help is much appreciated!